Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.server
Class TCPIPServerWorkerTask

    java.lang.Object
      java.util.TimerTask
          com.stc.connector.tcpip.model.server.TCPIPServerWorkerTask

All Implemented Interfaces:
  java.lang.Runnable

    public class TCPIPServerWorkerTask

extends java.util.TimerTask

TCPIP Server Worker Task which is started from the TCPIP Server Monitor.

Version:
  cvs revision: $Revision: 1.15 $ Last Modified: $Date: 2008/04/23 07:15:27 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`TCPIPServerWorkerTask(TCPIPServerMonitorTask monitorTask, java.net.Socket socket)` Creates a new instance of TCPIPServerWorkerTask

Method Summary
`boolean` | `cancel()`
`TCPIPServerMonitorTask` | `getMonitorTask()` Returns the monitorTask.
`java.net.Socket` | `getSocket()` Returns the socket instance.
`Scheduler` | `getWorkerScheduler()`
`TCPIPServerWorker` | `getWorkerWork()` Returns the workerWork.
`boolean` | `isRunning()` Returns the running.
`void` | `run()` When an object implementing interface Runnable is used to create a thread, starting the thread causes the object's run method to be called in that separately executing thread.
`void` | `setWorkerScheduler(Scheduler scheduler)`
`void` | `setWorkerWork(TCPIPServerWorker workerWork)` Sets the workerWork.

Methods inherited from class java.util.TimerTask
`scheduledExecutionTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### TCPIPServerWorkerTask

    public TCPIPServerWorkerTask(TCPIPServerMonitorTask monitorTask,
                                 java.net.Socket socket)

  Creates a new instance of TCPIPServerWorkerTask

  Parameters:
    `monitorTask` - The TCPIPServerMonitorTask.
    `socket` - The Socket instance

Method Detail

### run

    public void run()

  When an object implementing interface Runnable is used to create a thread, starting the thread causes the object's run method to be called in that separately executing thread. The general contract of the method run is that it may take any action whatsoever.

  Specified by:
    `run` in interface `java.lang.Runnable`
  Specified by:
    `run` in class `java.util.TimerTask`
  See Also:
    `Runnable.run()`

### isRunning

    public boolean isRunning()

  Returns the running.

  Returns:
    boolean

### cancel

    public boolean cancel()

  Overrides:
    `cancel` in class `java.util.TimerTask`
  See Also:
    `TimerTask.cancel()`

### getMonitorTask

    public TCPIPServerMonitorTask getMonitorTask()

  Returns the monitorTask.

  Returns:
    TCPIPServerMonitorTask

### getSocket

    public java.net.Socket getSocket()

  Returns the socket instance.

  Returns:
    Socket instance

### getWorkerWork

    public TCPIPServerWorker getWorkerWork()

  Returns the workerWork.

  Returns:
    TCPIPServerWorker

### setWorkerWork

    public void setWorkerWork(TCPIPServerWorker workerWork)

  Sets the workerWork.

  Parameters:
    `workerWork` - The workerWork to set

### getWorkerScheduler

    public Scheduler getWorkerScheduler()

  Returns:
    Scheduler

### setWorkerScheduler

    public void setWorkerScheduler(Scheduler scheduler)

  Parameters:
    `scheduler` - the value to set

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD